const api = require('../../../utils/api.js');
Page({

  /**
   * 页面的初始数据
   */
  data: {
    ditu:'/images/photo.png',
    fengmian:'/images/photo.png'
  },
  ditu:function(res){
    let that=this
    wx.chooseImage({
      count: 1,
      sizeType: ['original', 'compressed'],
      sourceType: ['album', 'camera'],
      success(res) {
        // tempFilePath可以作为img标签的src属性显示图片
        that.data.dtFilePaths = res.tempFilePaths
        that.setData({
          ditufile: that.data.dtFilePaths
        })
        that.upload(that.data.dtFilePaths,'false')
      }
    })
  },
  fengmian:function(){
    let that = this
    wx.chooseImage({
      count: 1,
      sizeType: ['original', 'compressed'],
      sourceType: ['album', 'camera'],
      success(res) {
        // tempFilePath可以作为img标签的src属性显示图片
        that.data.fmFilePaths = res.tempFilePaths
        that.setData({
          fengmianfile: that.data.fmFilePaths
        })
        that.upload(that.data.fmFilePaths, 'true')
      }
    })
  },
  submit:function(){
    let that=this
    if (!that.data.ditufile&&!that.data.fengmianfile){
      if (!that.data.dtFilePaths) {
        wx.showToast({
          title: '请上传底库照',
          icon: 'none'
        })
        return false
      } else if (!that.data.fmFilePaths){
        wx.showToast({
          title: '请上传封面照',
          icon: 'none'
        })
        return false
      }
    } else if (!that.data.dtFilePaths && !that.data.fmFilePaths){
      wx.showToast({
        title: '请先上传新的照片',
        icon: 'none'
      })
      return false
    }
    that.data.pathscount=0
    if (that.data.dtFilePaths){
      that.data.pathscount++
    }
    if (that.data.fmFilePaths){
      that.data.pathscount++
    }
    if(that.data.dtFilePaths){
      that.upload(that.data.dtFilePaths,'false')
    }
    if(that.data.fmFilePaths){
      that.upload(that.data.fmFilePaths,'true')
    }
  },
  upload: function (file, isShowPhoto){
    wx.showLoading({
      title: '正在上传',
    })
    let that=this
    wx.uploadFile({
      url: api.updateUserHeadImage,
      filePath: file[0],
      header: { 'content-type': 'application/x-www-form-urlencoded;charset=utf-8', },
      name: 'file',
      formData: {
        'fileType': 'image',
        'loginId': wx.getStorageSync('loginId'), 
        'isShowPhoto': isShowPhoto
      },
      success(res) {
        wx.hideLoading()
        if (JSON.parse(res.data).youtuMessage.error_code==0){
          wx.showToast({
            title: '上传成功',
            icon:'none'
          })
          that.setData({
            msg:''
          })
          // if (that.data.pathscount==1){
          //   wx.redirectTo({
          //     url: '/pages/success/index',
          //   })
          // }else{
          //   if (isShowPhoto=='true'){
          //     wx.redirectTo({
          //       url: '/pages/success/index',
          //     })
          //   }
          // }
        }else{
          wx.showToast({
            title: JSON.parse(res.data).youtuMessage.result.error_msg,
            icon:'none'
          })
        }
      }
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    let that=this
    wx.showLoading({
      title: '正在加载',
    })
    wx.request({
      url: api.getYouTuImage,
      data:{loginId:wx.getStorageSync('loginId')},
      success(res){
        wx.hideLoading()
        that.setData({
          ditufile: res.data.img?api.total.split('.if')[0] + res.data.img:'',
          fengmianfile: res.data.showImg? api.total.split('.if')[0] + res.data.showImg:'',
          msg:res.data.msg=='Success'?'':res.data.msg
        })
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})